<mat-sidenav-container autosize class="maarch-container">
    <ng-template #adminMenuTemplate>
        <mat-nav-list>
            <h3 mat-subheader *ngIf="!creationMode">{{lang.actions}}</h3>
            <a mat-list-item (click)="createScript()" *ngIf="!creationMode && !loading && !notification.scriptcreated">
                <mat-icon color="primary" mat-list-icon class="fa fa-terminal"></mat-icon>
                <p mat-line>
                    {{lang.createScriptNotification}}
                </p>
            </a>
            <a mat-list-item *ngIf="!creationMode && !loading && notification.is_enabled == 'N'"
                (click)="toggleNotif()">
                <mat-icon color="accent" mat-list-icon class="fa fa-play"></mat-icon>
                <p mat-line>
                    {{lang.activateNotification}}
                </p>
            </a>
            <a mat-list-item *ngIf="!creationMode && !loading && notification.is_enabled == 'Y'"
                (click)="toggleNotif()">
                <mat-icon color="warn" mat-list-icon class="fa fa-pause"></mat-icon>
                <p mat-line>
                    {{lang.suspendNotification}}
                </p>
            </a>
        </mat-nav-list>
    </ng-template>
    <mat-sidenav-content>
        <div class="bg-head">
            <div class="bg-head-title" [class.customContainerRight]="appService.getViewMode()">
                <div class="bg-head-title-label">
                    <header-left></header-left>
                </div>
                <div class="bg-head-title-tool">
                    <header-right></header-right>
                </div>
            </div>
            <div class="bg-head-content" [class.fullContainer]="appService.getViewMode()">
            </div>
        </div>
        <div class="container" [class.fullContainer]="appService.getViewMode()">
            <div class="container-content">
                <div *ngIf="loading" style="display:flex;height:100%;">
                    <mat-spinner style="margin:auto;"></mat-spinner>
                </div>
                <mat-card *ngIf="!loading" class="card-app-content">
                    <div *ngIf="notification.is_enabled == 'N'" class="text-warning"
                        style="position: absolute;opacity: 0.1;font-size: 120px;transform: rotate(324deg);-webkit-transform: rotate(324deg);margin-left: 25%;margin-top: 90px;">
                        {{lang.suspended}}</div>
                    <form class="form-horizontal" (ngSubmit)="onSubmit()" #notificationsFormUp="ngForm">
                        <div class="form-group">
                            <div class="col-md-12">
                                <mat-form-field>
                                    <input matInput [(ngModel)]="notification.notification_id" required
                                        name="notification_id" id="notification_id" title="{{lang.id}}" type="text"
                                        pattern="^[\w.-]*$" placeholder="{{lang.id}}" maxlength="50"
                                        [disabled]="!creationMode">
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-12">
                                <mat-form-field>
                                    <input matInput [(ngModel)]="notification.description" required name="description"
                                        id="description" title="{{lang.description}}" type="text"
                                        placeholder="{{lang.description}}" maxlength="255">
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-12">
                                <mat-form-field>
                                    <mat-select id="event_id" name="event_id" title="{{lang.NotificationEvent}}"
                                        placeholder="{{lang.NotificationEvent}}" [(ngModel)]="notification.event_id"
                                        required>
                                        <mat-optgroup label="{{lang.triggerSystem}} :">
                                            <ng-container *ngFor="let event of notification.data.event">
                                                <mat-option *ngIf="!isNumber(event.id)" [value]="event.id">
                                                    <mat-icon class="fa fa-cog" color="primary" style="height:auto;">
                                                    </mat-icon> {{event.label_action}}
                                                </mat-option>
                                            </ng-container>
                                        </mat-optgroup>
                                        <mat-optgroup label="{{lang.triggerAction}} :">
                                            <ng-container *ngFor="let event of notification.data.event">
                                                <mat-option *ngIf="isNumber(event.id)" [value]="event.id">
                                                    <mat-icon class="fa fa-exchange-alt" color="primary"
                                                        style="height:auto;"></mat-icon> {{event.label_action}}
                                                </mat-option>
                                            </ng-container>
                                        </mat-optgroup>
                                    </mat-select>
                                </mat-form-field>
                            </div>

                        </div>
                        <div class="form-group">
                            <div class="col-md-8">
                                <mat-form-field>
                                    <mat-select id="template_id" name="template_id" title="{{lang.notificationModel}}"
                                        placeholder="{{lang.notificationModel}}" [(ngModel)]="notification.template_id"
                                        required>
                                        <mat-option *ngFor="let template of notification.data.template"
                                            [value]="template.template_id">
                                            {{template.template_label}}
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                            <div class="col-md-4">
                                <mat-form-field>
                                    <mat-select id="attachfor_type" name="attachfor_type" title="{{lang.attachment}}"
                                        placeholder="{{lang.attachment}}" [(ngModel)]="notification.attachfor_type">
                                        <mat-option value="">
                                            {{lang.noAttachment}}
                                        </mat-option>
                                        <mat-option value="main_document">
                                            {{lang.notificationJoinDocument}}
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-4">
                                <mat-form-field>
                                    <mat-select id="diffusion_type" name="diffusion_type" title="{{lang.sendTo}}"
                                        placeholder="{{lang.sendTo}}" [(ngModel)]="notification.diffusion_type"
                                        required>
                                        <mat-optgroup label="{{lang.memberUserDest}} :"
                                            *ngIf="notification.event_id != 'baskets'">
                                            <ng-container *ngFor="let diffusionType of notification.data.diffusionType">
                                                <mat-option *ngIf="diffusionType.id == 'dest_user'"
                                                    [value]="diffusionType.id">{{diffusionType.label}}</mat-option>
                                            </ng-container>
                                        </mat-optgroup>
                                        <mat-optgroup label="{{lang.memberUsersCopy}} :"
                                            *ngIf="notification.event_id != 'baskets'">
                                            <ng-container *ngFor="let diffusionType of notification.data.diffusionType">
                                                <mat-option *ngIf="diffusionType.id == 'copy_list'"
                                                    [value]="diffusionType.id">{{diffusionType.label}}</mat-option>
                                            </ng-container>
                                        </mat-optgroup>
                                        <mat-optgroup label="{{lang.memberAllUsers}} :">
                                            <ng-container *ngFor="let diffusionType of notification.data.diffusionType">
                                                <mat-option
                                                    *ngIf="diffusionType.id == 'group' || (diffusionType.id == 'entity' && notification.event_id != 'baskets') || (diffusionType.id == 'user' && notification.event_id != 'baskets')"
                                                    [value]="diffusionType.id">{{diffusionType.label}}</mat-option>
                                            </ng-container>
                                        </mat-optgroup>
                                        <mat-optgroup label="{{lang.others}} :"
                                            *ngIf="notification.event_id != 'baskets'">
                                            <ng-container *ngFor="let diffusionType of notification.data.diffusionType">
                                                <mat-option
                                                    *ngIf="diffusionType.id != 'group' && diffusionType.id != 'entity' && diffusionType.id != 'user' && diffusionType.id != 'copy_list' && diffusionType.id != 'group' && diffusionType.id != 'dest_user'"
                                                    [value]="diffusionType.id">{{diffusionType.label}}</mat-option>
                                            </ng-container>
                                        </mat-optgroup>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                            <div class="col-md-8">
                                <mat-form-field *ngIf="notification.diffusion_type == 'group'">
                                    <mat-select id="diffusion_properties" name="diffusion_properties"
                                        title="{{lang.memberDiffTypeUsers}}" placeholder="{{lang.memberDiffTypeUsers}}"
                                        required multiple [(ngModel)]="notification.diffusion_properties">
                                        <mat-option *ngFor="let group of notification.data.groups"
                                            [value]="group.group_id">
                                            {{group.group_desc}}
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                                <mat-form-field *ngIf="notification.diffusion_type == 'user'">
                                    <mat-select id="diffusion_properties" name="diffusion_properties"
                                        title="{{lang.memberDiffTypeUsers}}" placeholder="{{lang.memberDiffTypeUsers}}"
                                        required multiple [(ngModel)]="notification.diffusion_properties">
                                        <mat-option *ngFor="let user of notification.data.users" [value]="user.id">
                                            {{user.label}}
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                                <mat-form-field *ngIf="notification.diffusion_type == 'entity'">
                                    <mat-select id="diffusion_properties" name="diffusion_properties"
                                        title="{{lang.memberDiffTypeUsers}}" placeholder="{{lang.memberDiffTypeUsers}}"
                                        required multiple [(ngModel)]="notification.diffusion_properties">
                                        <mat-option *ngFor="let entity of notification.data.entities"
                                            [value]="entity.entity_id">
                                            {{entity.entity_label}}
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                                <mat-form-field
                                    *ngIf="notification.diffusion_type == 'dest_user' || notification.diffusion_type == 'copy_list' || notification.diffusion_type == 'dest_entity' || notification.diffusion_type == 'dest_user_visa' || notification.diffusion_type == 'dest_user_sign'">
                                    <mat-select id="diffusion_properties" name="diffusion_properties"
                                        title="{{lang.selectedDocumentStatus}} (optionnel)"
                                        placeholder="{{lang.selectedDocumentStatus}} ({{lang.optional}})" multiple
                                        [(ngModel)]="notification.diffusion_properties">
                                        <mat-option *ngFor="let status of notification.data.status" [value]="status.id">
                                            {{status.label_status}}
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-12" style="text-align:center;">
                                <button mat-raised-button color="primary" type="submit"
                                    [disabled]="!notificationsFormUp.form.valid">{{lang.save}}</button>
                            </div>
                        </div>
                    </form>
                </mat-card>
            </div>
        </div>
    </mat-sidenav-content>
</mat-sidenav-container>
